'use strict';

var _core = require('@babel/core');

var isInContainer = function isInContainer(_ref) {
  var node = _ref.node;
  return _core.types.isJSXExpressionContainer(node);
};

module.exports = function () {
  return {
    visitor: {
      BinaryExpression: function BinaryExpression(path) {
        if (!path.isBinaryExpression({ operator: '|' })) return;
        if (!path.findParent(isInContainer)) return;

        path.replaceWith(_core.types.callExpression(path.node.right, [path.node.left]));
      }
    }
  };
};
